Different Z cooridnates

Architectural Desktop 2006
Windows XP Pro
I received a 276 KB drawing that was surposed to be a simple 2-D floor plan.
In trying to work with this file I discovered every object had a different Z coordinate.
1st attempted solution: Using the CHANGE command I tried to change the elevation of all objects to "0" and received the command line message "cannot change elevation of objects with differing Z coordinates.
2nd attempted solution: Invoked the express tool FLATTEN, selected all objects. The command began showing various symbols / \ _ (& a vertical symbol which I don't seem to have on my keyboard) in rotating order followed by the message "no translatable objects". This continued for 22 minutes - - around and around and around and never stopped on its own!
So, it looks like I have 2 questions -
1.. How does one stop a command that wants to run on in perpetuity? Ctl-Alt-Del didn't work. 2.. What command/method does one use to assign all objects a "0" elevation? Thanks to all
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

The offending items could be in a block, or could have thickness. Have you flipped the drawing 90 degrees about the x axis to see what things are off Z=0?
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Michael
I've had drawings where the flatten command hangs as well but 276Kb is pretty small for a hang
Sometimes it will work if you just select a portion of objects in the dwg rather than selecting All
I've had good success with the button macro thingie
^C^C_UCS;;_move _all;;0,0,1e99;;_move _all;;0,0,-1e99;;
S. Scalise - Can you paste the line above into a new menu button and see if it does the trick
HTH
Tim
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Gave it a try and the following is from the command line: _all;;0,0,1e99;;_move Unknown command "ALL;;0,0,1E99;;_MOVE". Press F1 for help. followed by: "ALL;;0,0,-1E99;;". Press F1 for help.

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
You've got to replace all the semicolons with punches on the Enter key:
-MOVE (Enter) -all(Enter) 0,0,0(Enter) 0,0,1e99(Enter) -MOVE (Enter) -all(Enter) 0,0,0(Enter) 0,0,-1e99(Enter)
Semicolons are the way "enter" is written into a script. This routine basically moves everything up, and then back down again, but beyond the accuracy capability of acad, so acad puts everything back to Z=0.
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
OOOOOOOHHHHHHHHHH! My dumb a#$ is showing.

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Let us know if it works. Remember this stunt doesn't work for things inside blocks, or for things with thickness.
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
There are offending blocks and offending "everything else". The only thing at "0" is the title block and some exploded and scaled details. Other items vary from 61'-3 1/4" to -124'-10 1/16" not counting dimensions & leaders. When viewing sw iso (for example) the leaders soar to the upper limits along with some of the text. Dimension points, arrows, etc. are on varing levels and of course these don't return a Z when checking their properties. The bottom line (IMHO): A totally screwed up drawing

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
I don't know what the express tool does, but try the routine that moves everything a light year and then moves it back. It is described in Tim's macro post above. You can run it from the command line if nothing is locked.
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
try exploding all blocks, repeat in case a block contains another block until no more blocks and then flatten. BTW the vertical line that you thinkyou don't have is called a "pipe" and is on the same key as backslash.
S. Scalise wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Hi all, it's really simple. to stop try this combination. I am not sure though. ctrl+break
as to the next question, go to this site and download the last LISP File zcord2zero some thing. run that it changes all z cords to 0.
http://indiacad.tripod.com and go to download page.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
I've had a similar problem in the past which is when I realised , after a fair bit of research, there are about 3 FLATTEN lisps out there and 2 of them are absolutly useless on most drawings which contain things like blocks and arcs.
Bellow is pasted the version I use which has not let me down in the time I have been using it, try it and see what happens. When it asks to remove hidden lines, leave the default NO and just hit enter. Good Luck!!
------------------------------------------------
(defun c:flatten ( / ss ans ) (acet-error-init (list nil 1))
(princ "\nSelect objects to convert to 2d...") (if (not acet:flatn-hide) (setq acet:flatn-hide "No") );if
(if (and (setq ss (ssget "_:l" '((-4 . "<NOT") (0 . "VIEWPORT") (-4 . "NOT>"))));setq (setq ss (car (acet-ss-filter (list ss nil T)))) );and (progn (initget "Yes No") (setq ans (getkword (acet-str-format "\nRemove hidden lines? <%1>: " acet:flatn-hide ) );getkword );setq (if (not ans) (setq ans acet:flatn-hide) (setq acet:flatn-hide ans) );if (if (equal ans "No") (acet-flatn ss nil) (acet-flatn ss T) );if );progn then );if (acet-error-restore) );defun c:flatten
(acet-autoload2 '("FLATTENSUP.LSP" (acet-flatn ss hide))) (princ)
---------------------------------------------------------------
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
I get this when I import from my surveying instrument. The survey instrument records all 3 dimensions when I take shots.
What I do is open the Properties window, select the entire drawing.
In the upper left part of the properties window is a selection drop down box. In here I choose the various objects that can have a Z property, like lines, points, etc. I choose each of these, and then set their Z properties to 0. After this I have no problems.
If you don't do this, lines won't meet when they appear to, distances will read longer than you expect, all sorts of wierd things.
Greg Chapp

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
That makes sense. Now, what happens if you do not change the Z's to 0 and start inserting building footprint blocks, adding dimensions & leader? That seems to be the story with the particular drawing giving me problems. As it turns out, the biggest culprits were the dims & leaders. Once all of them were erased/deleted I was able to move all other objects to zero. A truely messed up dwg!

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.